<template>
  <div>
    <div class="dashboard__header">
      <h1 class="dashboard__title">کاربر جدید</h1>
      <div class="dashboard__actions">
        <Button type="text" color='dark' light round size="sm" @click.native="$router.push('/dashboard/admin/users')">
          <template #icon>
            <BackIcon />
          </template>
        </Button>
      </div>
    </div>
    <div class="dashboard__body">
      <DashboardNavigation class="dashboard__nav" active="users" />
      <Card class="dashboard__content" title="اطلاعات کاربر">
        <CreateUserForm @create="onCreate"/>
      </Card>
    </div>
  </div>
</template>

<script>
import DashboardNavigation from "@/components/layout/DashboardNavigation";
import BackIcon from "@/assets/svgs/back.svg";
import Button from "@/components/base/Button";
import Card from "@/components/base/Card";
import CreateUserForm from "@/components/dashboard/CreateUserForm";

export default {
  components: {
    DashboardNavigation,
    BackIcon,
    Card,
    Button,
    CreateUserForm
  },
  head() {
    return {
      title: "کاربر جدید"
    }
  },
  layout: "dashboard",
  methods: {
    onCreate() {
      this.$router.push('/dashboard/admin/users');
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

</style>